device_type: musca-b
job_name: musca-b-health-check

priority: medium
visibility: public

timeouts:
  job:
    minutes: 20
  action:
    minutes: 10
priority: medium
visibility: public
actions:
    - deploy:
        timeout:
          minutes: 10
        to: musca
        images:
          test_binary:
            url: https://images.validation.linaro.org/ci.staging.trustedfirmware.org/job/tf-m-build-config/34130/artifact/trusted-firmware-m/build/bin/tfm.hex
    - boot:
        method: musca
    - test:
        monitors:
        - name: "Secure_Test_Suites_Summary"
          start: "Non-Secure system"
          end: "starting\\.{3}"
          pattern: "Non-Secure system starting\\.{3}"
          fixupdict:
              '!': pass
              '': fail
